<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload.php';

$whereclause = '';
if(isset($_GET["dhx_filter"]))
{
  foreach($_GET["dhx_filter"] as $k => $v)
  {
    if($v != '')
	{
      switch($k)
      {
        case 1:  {
          $ldate = explode("|", $v);

          if($ldate[0] != '')
          {
            $whereclause .= " and afcnsend.senddate >= to_timestamp('{$ldate[0]} 00:00:00','DD/MM/YYYY HH24:MI:SS')";
          }

          if($ldate[1] != '')
          {
            $whereclause .= " and afcnsend.senddate <= to_timestamp('{$ldate[1]} 23:59:59' ,'DD/MM/YYYY HH24:MI:SS')";
          }

        }break;
        case 2:  
		{
          $whereclause .= " and afcnsend.status_id = {$v}";
        }
		break;
        default:;
      }
    }
  }
}

function my_insert($data)
{
  $conn = get_dbconnection();
  $sql = 'insert into afcnsend(title,senddate,sender) values (\'New sending\',now(),'.$data->get_value('sender').') returning id;';

  if ($query = pg_query($conn,$sql)){
     if(!($row = pg_fetch_row($query)))
     {
      $data->invalid();
      return;
     }
     $data->set_new_id($row[0]);
     $data->success(); // marks an operation as finished

  }else
  {
    $data->invalid();
  }
}


function my_update ( $data )
{
	error_log ( "my_update" );
	
	$conn = get_dbconnection ();
	
	$sql = 'update afcnsend';
	$sql .= ' set status_id = '.$data->get_value('status_id');
	$sql .= ' ,comment = \''.pg_escape_string ($conn,$data->get_value('comment')).'\'';
	$sql .= ' ,title = \''.pg_escape_string ($conn,$data->get_value('title')).'\'';

	if ( $data->get_value('inst_id') != '-1' && $data->get_value('inst_id') != '' )
	{
		$sql .= ' ,inst_id = '.$data->get_value('inst_id');
	}
	else
	{
		$sql .= ' ,inst_id = null';
	}

	if($data->get_value('dep_id') != '-1' && $data->get_value('dep_id') != '' )
	{
		$sql .= ' ,dep_id = '.$data->get_value('dep_id');
	}
	else
	{
		$sql .= ' ,dep_id = null';
	}

	if($data->get_value('senddate') != '')
		$sql .= ' ,senddate = to_timestamp(\''.pg_escape_string ($conn,$data->get_value('senddate')).'\',\'DD/MM/YYYY\')';
	else 
	{
		$sql .= ' ,senddate = null';
	}

	if($data->get_value('device_id') != '')
		$sql .= ' ,device_id = '.$data->get_value('device_id');
	else 
	{
		$sql .= ' ,device_id = null';
	}

    $sql .= ' where id =  '.$data->get_id().';commit;';

	if (!pg_query($conn,$sql))
	{
		$data->invalid();
	}
	else
		$data->success(); // marks an operation as finished
}

function my_delete ( $data )
{
	$sql = 'update afcnsend set removed = true where id = '.$data->get_id().';commit;';

	$conn = get_dbconnection();
	if (!pg_query($conn,$sql)){
		$data->invalid();
	}	
	else
	{
		$data->success(); // marks an operation as finished
	}
}


$conn = get_dbconnection();

if($conn)
{
	$opts1 = new OptionsConnector($conn,"Postgre");  $opts1->render_sql("select id as value,name as label from institution where id != -1 union select  -1,' '","value","value,label");
	$opts2 = new OptionsConnector($conn,"Postgre");  $opts2->render_sql("select id as value,name as label from department where id != -1 union select -1,' '","value","value,label");
	$opts3 = new OptionsConnector($conn,"Postgre");  $opts3->render_sql("select id as value,name as label from device where removed = false and id != -1 union select -1,' '","value","value,label");
	$opts4 = new OptionsConnector($conn,"Postgre");  $opts4->render_sql("select id as value,status_name as label from statuslist where type ilike '%|action|%'","value","value,label");


	$config = new GridConfiguration ();
	
	$config->setHeader		( array ( "sender",		"Date",					"Status",					"Institution",	"Department",	"Device",		"Title",	"comment"	));
	$config->setColIds		( array ( "sender",		"senddate",				"status_id",				"inst_id",		"dep_id",		"device_id",	"title",	"comment"	));
	$config->setColTypes	( array ( "ro", 		"dhxCalendar",			"coro",						"coro",			"coro",			"coro",			"ro",		"ro"		));
	$config->attachHeader	( array ( "#rspan",		"#daterange_filter",	"#connector_select_filter",	"#rspan",		"#rspan",		"#rspan",		"#rspan",	"#rspan"	));
	$config->setColSorting	( array ( "str",		"str",					"str",						"int",			"int",			"int",			"str",		"str"		));
	$config->setInitWidths	( array ( "0",			"80",					"120",						"*",			"*",			"*",			"*",		"*"			));
	$config->setColHidden	( array ( "1",			"0",					"0",						"0",			"1",			"0",			"0",		"1"			));
	
	$data = new GridConnector($conn,"Postgre");
	$data->set_config($config);
  
	$data->set_options ( "inst_id",		$opts1 );
	$data->set_options ( "dep_id",		$opts2 );
	$data->set_options ( "device_id",	$opts3 );
	$data->set_options ( "status_id",	$opts4 );

	if($GLOBALS["active_debug"] === true)
	{
		$data->enable_log($GLOBALS["debug_dir"].basename(__FILE__).".log",true);
	}

	$data->event->attach ( 'beforeInsert','my_insert' );
	$data->event->attach ( 'beforeUpdate','my_update' );
	$data->event->attach ( 'beforeDelete','my_delete' );

	if(isset($_GET['afcnsendid']))
	{
		$whereclause = "and afcnsend.id = {$_GET['afcnsendid']}";
	}

	// error_log ( $whereclause );
	
	$data->render_complex_sql ( 
		"select afcnsend.id, staff_member.firstname || ' ' || staff_member.lastname as sender, to_char(senddate,'DD/MM/YYYY') as senddate, status_id, inst_id,dep_id,device_id,title,comment,device_id from afcnsend,staff_member where afcnsend.removed=false and afcnsend.sender = staff_member.id $whereclause", 
		"id", 
		"sender, senddate, status_id, inst_id, dep_id, device_id, title, comment" 
	);
}
