<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload.php';

function my_insert($data){
  $conn = get_dbconnection();
  $sql = 'insert into device(name) values(\'New device\') returning id;';

  if($query = pg_query($conn,$sql)){
     if(!($row = pg_fetch_row($query)))
     {
      $data->invalid();
      return;
     }
     $data->set_new_id($row[0]);
     $data->success(); // marks an operation as finished

  }else
  {
    $data->invalid();
  }
}


function my_update($data){

  $conn = get_dbconnection();
  $sql = 'update device';
  $sql .= ' set brand = \''.pg_escape_string($conn,$data->get_value('brand')).'\'';
  $sql .= ' ,name = \''.pg_escape_string($conn,$data->get_value('name')).'\'';
  $sql .= ' ,serialnumber = \''.pg_escape_string($conn,$data->get_value('serialnumber')).'\'';
  $sql .= ' ,model = \''.pg_escape_string($conn,$data->get_value('model')).'\'';
  $sql .= ' ,ris_name = \''.pg_escape_string($conn,$data->get_value('ris_name')).'\'';
  $sql .= ' ,pacs_name = \''.pg_escape_string($conn,$data->get_value('pacs_name')).'\'';
  $sql .= ' ,dacs_name = \''.pg_escape_string($conn,$data->get_value('dacs_name')).'\'';
  $sql .= ' ,modalitytype = \''.pg_escape_string($conn,$data->get_value('modalitytype')).'\'';
  $sql .= ' where id =  '.$data->get_id().';commit;';

  error_log("Update request : ".$sql );

  if(!pg_query($conn,$sql))
  {
     $data->invalid();
  }else
    $data->success(); // marks an operation as finished
}

function my_delete($data){

  $sql = 'update device set removed = true where id = '.$data->get_id().';commit;';

  $conn = get_dbconnection();
  if(!pg_query($conn,$sql)){
     $data->invalid();
  }else
  {
    $data->success(); // marks an operation as finished
  }
}

$conn = get_dbconnection();

if($conn)
{

	$config = new GridConfiguration();
	$config->setHeader(array("Department", 	"Name", "Brand",	"Model",	"Serial Number",	"RIS name", "PACS name", 	"DACS name","modalitytype"	));
	$config->setColIds(array("depname", "name", "brand",	"model",	"serialnumber", "ris_name", "pacs_name",	"dacs_name","modalitytype"	));
	$config->setColTypes(array("ro", 	"ro", "ro", "ro", "ro", 	"ro", "ro", "ro", "ro"));
	$config->attachHeader(array("#text_filter",	"#text_filter",	"#rspan",	"#rspan",	"#rspan", "#rspan",	"#rspan", "#rspan", "#rspan"	));
	$config->setColSorting(array("str", "str", "str", "str", "str", 	"str", "str", "str", "str"));
	$config->setInitWidths(array("*", 	"*", "100", "100", "100", 	"100", "100", "100", "100"));
	$config->setColHidden(array("0", 	"0", "0", "1", "1", 	"1", "1", "1", "1"));

	$data = new GridConnector($conn,"Postgre");
	$data->set_config($config);


	if($GLOBALS["active_debug"] === true)
	{
		$data->enable_log($GLOBALS["debug_dir"].basename(__FILE__).".log",true);
	}

  $data->event->attach('beforeInsert','my_insert');

  $data->event->attach('beforeUpdate','my_update');

  $data->event->attach('beforeDelete','my_delete');

  $whereclause = '';
  if(isset($_GET['deviceid']))
  {
     $whereclause = "and device.id = {$_GET['deviceid']}";
  }
	// $data->render_complex_sql("select device.id,depname,device.name,device.brand,device.model,device.serialnumber from device left join(select department.name as depname,device_installation.device_id from device_installation,department where device_installation.dep_id = department.id and device_installation.removed = false) as device_installation on device.id = device_installation.device_id where device.removed = false {$whereclause}","id","depname,name,brand,model,serialnumber");
	$data->render_complex_sql
	(
		"select device.id,depname,device.name,device.brand,device.model,device.serialnumber, ris_name, pacs_name, dacs_name,modalitytype from device left join(select department.name as depname,device_installation.device_id from device_installation,department where device_installation.dep_id = department.id and device_installation.removed = false and coalesce(removeddate::date,now()::date) >= now()::date) as device_installation on device.id = device_installation.device_id where device.removed = false {$whereclause}",
		"id",
		"depname,name,brand,model,serialnumber,ris_name,pacs_name,dacs_name,modalitytype"
	);
}
