<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload.php';

function my_insert($data)
{
	$conn = get_dbconnection();

	// $sql = 'insert into device_maintenance(device_id,result,status_id) values ('.$data->get_value('device_id').',-1,'.STATUS_PLANNED_ID.') returning id;';
	$sql = 'insert into device_maintenance(device_id,status_id) values ('.$data->get_value('device_id').','.STATUS_PLANNED_ID.') returning id;';
	if ( $query = pg_query($conn,$sql) )
	{
		if( !($row = pg_fetch_row($query)) )
		{
			$data->invalid();
			return;
		}
    
		$data->set_new_id($row[0]);
		$data->success(); // marks an operation as finished
	}
	else
	{
		$data->invalid ();
	}
}


function my_update($data)
{
	$conn = get_dbconnection();
	
	$sql = 'update device_maintenance';
	$sql .= ' set status_id = '.$data->get_value('status_id');
	// $sql .= '  ,result = '.$data->get_value('result');

	if($data->get_value('maintenance_date') != '')
		$sql .= ' ,maintenance_date = to_timestamp(\''.pg_escape_string ($conn,$data->get_value('maintenance_date')).'\',\'DD/MM/YYYY\')';
	else
		$sql .= ' ,maintenance_date = null';

	if($data->get_value('planned_date') != '')
		$sql .= ' ,planned_date = to_timestamp(\''.pg_escape_string ($conn,$data->get_value('planned_date')).'\',\'DD/MM/YYYY\')';
	else
		$sql .= ' ,planned_date = null';

	$sql .= ' ,type = \''.pg_escape_string ($conn,$data->get_value('type')).'\'';
	$sql .= ' ,comment = \''.pg_escape_string ($conn,$data->get_value('comment')).'\'';
	$sql .= ' where id =  '.$data->get_id().';commit;';

	error_log ( $sql );
	
	if (!pg_query($conn,$sql))
	{
		$data->invalid();
	}	
	else
	{
		$data->success (); // marks an operation as finished
	}
}

function my_delete($data)
{
	$sql = 'update device_maintenance set removed = true where id = '.$data->get_id().';commit;';

	$conn = get_dbconnection();
  
	if (!pg_query($conn,$sql))
	{
		$data->invalid();
	}
	else
	{
		$data->success(); // marks an operation as finished
	}
}

$conn = get_dbconnection();

if($conn)
{
	$config = new GridConfiguration ();
	
	$config->setHeader		( array ( "device_id",	"status_id",	"Status",		"Planned",		"Performed",		"Result",		"Type",		"Comment"	));
	$config->setColIds		( array ( "device_id",	"status_id",	"status_name",	"planned_date",	"maintenance_date",	"result_name",	"type",		"comment"	));
	$config->setColTypes	( array ( "ro",			"ro",			"ro",			"dhxCalendar",	"dhxCalendar",		"ro",			"ro",		"ro"		));
	$config->attachHeader	( array ( "#rspan",		"#rspan",		"#rspan",		"#rspan",		"#rspan",			"#rspan",		"#rspan",	"#rspan"	));
	$config->setColSorting	( array ( "int",		"int",			"str",			"str",			"str",				"str",			"str",		"str"		));
	$config->setInitWidths	( array ( "0",			"0",			"100",			"100",			"100",				"100",			"100",		"*"			));
	$config->setColHidden	( array ( "1",			"1",			"0",			"0",			"0",				"0",			"0"						));
	
	$data = new GridConnector($conn,"Postgre");
	$data->set_config($config);

	if($GLOBALS["active_debug"] === true)
	{
		$data->enable_log($GLOBALS["debug_dir"].basename(__FILE__).".log",true);
	}

	$data->event->attach('beforeInsert','my_insert');
	//
	$data->event->attach('beforeUpdate','my_update');
	//
	$data->event->attach('beforeDelete','my_delete');

	if(isset($_GET['deviceid']))
	{
		$whereclause = "and device_id = {$_GET['deviceid']}";
	}
	else 
	{
		$whereclause = "and device_id = -1";
	}
	/*
	$data->render_complex_sql
	(
		"select device_maintenance.id as id,s2.status_name as result_name,s1.status_name as status_name,device_id,to_char(maintenance_date,'DD/MM/YYYY') as maintenance_date,to_char(planned_date,'DD/MM/YYYY') as planned_date,result,device_maintenance.type as type,status_id,comment
		from statuslist as s1, statuslist as s2,device_maintenance where s2.id = device_maintenance.result and s1.id = device_maintenance.status_id and device_maintenance.removed = false {$whereclause}",
		"id",
		"device_id,status_id,result,status_name,planned_date,maintenance_date,result_name,type,comment"
	);
	*/
	
	$request = "select device_maintenance.id as id, s1.status_name as status_name, device_id, to_char(maintenance_date,'DD/MM/YYYY') as maintenance_date, to_char(planned_date,'DD/MM/YYYY') as planned_date,device_maintenance.type as type,status_id,comment
		from statuslist as s1, device_maintenance where s1.id = device_maintenance.status_id and device_maintenance.removed = false ".$whereclause;
	$data->render_complex_sql
	(
		$request,
		"id",
		"device_id,status_id,status_name,planned_date,maintenance_date,result_name,type,comment"
	);
	
	error_log ( $request );
}
