<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload.php';

$whereclause = '';
if(isset($_GET["dhx_filter"])){
  foreach($_GET["dhx_filter"] as $k => $v)
  {
    if($v != ''){
      switch($k)
      {
        case 4:  {
          $ldate = explode("|", $v);

          if($ldate[0] != '')
          {
            $whereclause .= " and report.reportdate >= to_timestamp('{$ldate[0]} 00:00:00','DD/MM/YYYY HH24:MI:SS')";
          }

          if($ldate[1] != '')
          {
            $whereclause .= " and report.reportdate <= to_timestamp('{$ldate[1]} 23:59:59','DD/MM/YYYY HH24:MI:SS')";
          }

        }break;
        case 5:  {
          $whereclause .= " and report.status_id = {$v}";
        }break;
        default:;
      }
    }
  }
}

function my_insert($data){
  $conn = get_dbconnection();
  $sql = 'insert into report(title,dep_id,reporter,reportdate,status_id,severity) values (\'New incident\',-1,'.$data->get_value('reporter').',now(),'.STATUS_OPEN_ID.',1) returning id;';
  if ($query = pg_query($conn,$sql)){
     if(!($row = pg_fetch_row($query)))
     {
      $data->invalid();
      return;
     }
     $data->set_new_id($row[0]);
     $data->success(); // marks an operation as finished

  }else
  {
    $data->invalid();
  }
}


function my_update($data){

  $conn = get_dbconnection();
  $sql = 'update report';
  $sql .= ' set status_id = '.$data->get_value('status_id');
  $sql .= ' ,severity = '.$data->get_value('severity');
  $sql .= ' ,title = \''.pg_escape_string ($conn,$data->get_value('title')).'\'';
  $sql .= ' ,comment = \''.pg_escape_string ($conn,$data->get_value('comment')).'\'';
  $sql .= ' ,dep_id = '.$data->get_value('dep_id');
  $sql .= ' ,statuscomment = \''.pg_escape_string ($conn,$data->get_value('statuscomment')).'\'';

  if($data->get_value('closeddate') != '')
    $sql .= ' ,closeddate = to_timestamp(\''.pg_escape_string ($conn,$data->get_value('closeddate')).'\',\'DD/MM/YYYY\')';
  else
    $sql .= ' ,closeddate = null';
  if($data->get_value('reportdate') != '')
    $sql .= ' ,reportdate = to_timestamp(\''.pg_escape_string ($conn,$data->get_value('reportdate')).'\',\'DD/MM/YYYY\')';
  else
    $sql .= ' ,reportdate = null';

  $sql .= ' where id =  '.$data->get_id().';commit;';

  if (!pg_query($conn,$sql)){
     $data->invalid();
  }else
    $data->success(); // marks an operation as finished
}

function my_delete($data){

  $sql = 'update report set removed = true where id = '.$data->get_id().';commit;';

  $conn = get_dbconnection();
  if (!pg_query($conn,$sql)){
     $data->invalid();
  }else
  {
    $data->success(); // marks an operation as finished
  }
}

$conn = get_dbconnection();

if($conn)
{
  $opts = new OptionsConnector($conn,"Postgre");
  $opts->render_sql("select id as value,status_name as label from statuslist where type ilike '%|report|%'","value","value,label");

	$config = new GridConfiguration();

	$config->setHeader(array ("reporter","dep_id","Department","Title","Date","Status","Comment","statuscomment","reporterby","closeddate","severity","listofactiondescription"));
	$config->setColIds(array ("reporter","dep_id","fullname","title","reportdate","status_id","comment","statuscomment","reporterby","closeddate","severity","listofactiondescription"));
	$config->setColTypes(array ("ro","ro","ro","ro","dhxCalendar","coro","ro","ro","ro","dhxCalendar","ro","ro"));
	$config->attachHeader(array ("#rspan","#rspan","#rspan","#rspan","#daterange_filter","#connector_select_filter","#rspan","#rspan","#rspan","#rspan","#rspan","#rspan"));
	$config->setColSorting(array ("int","int","str","str","str","str","str","str","str","str","int"	,"str"));
	$config->setInitWidths(array ("0","0","100","100","100","100","0","0","0","0","0","0"));
	$config->setColHidden(array ("1","1","0","0","0","0","1","1","1","1","1","1"));

	$data = new GridConnector($conn,"Postgre");
	$data->set_config($config);
	$data->set_options("status_id",$opts);

  if($GLOBALS["active_debug"] === true){
		$data->enable_log($GLOBALS["debug_dir"].basename(__FILE__).".log",true);
	}

  $data->event->attach('beforeInsert','my_insert');

  $data->event->attach('beforeUpdate','my_update');

  $data->event->attach('beforeDelete','my_delete');


  if(isset($_GET['incidentreportingid']))
  {
     $whereclause = " and report.id = {$_GET['incidentreportingid']}";
  }
	$data->render_complex_sql (
	"select report.id as id, report.dep_id,v_fullinfo_department.fullname as fullname,title, report.status_id as status_id,  staff_member.lastname || ' ' || staff_member.firstname as reporterby,report.reporter as reporter,to_char(reportdate,'DD/MM/YYYY') as reportdate,  to_char(closeddate,'DD/MM/YYYY') as closeddate,comment,statuscomment
  ,severity, listofactiondescription
	from report left join (select ext_id,string_agg('&#x2022; '||description,'\n') as listofactiondescription from action,action_link where action.id = action_link.action_id and action_link.scope = 'report' group by ext_id) actionlink on actionlink.ext_id = report.id,staff_member,statuslist,v_fullinfo_department
	where report.reporter = staff_member.id and report.removed = false and statuslist.id = report.status_id and v_fullinfo_department.dep_id = report.dep_id $whereclause",
	"id",
	"reporter,dep_id,fullname,title,reportdate,status_id,comment,statuscomment,reporterby,closeddate,severity,listofactiondescription" );
}
