<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload.php';

function my_insert($data){
  $conn = get_dbconnection();
  $sql = 'insert into procedure(name_en,name_fr,name_nl) values (\'New procedure\',\'Nouvelle procédure\',\'Nieuwe procedure\') returning id;';

  if ($query = pg_query($conn,$sql)){
     if(!($row = pg_fetch_row($query)))
     {
      $data->invalid();
      return;
     }
     $data->set_new_id($row[0]);
     $data->success(); // marks an operation as finished

  }else
  {
    $data->invalid();
  }
}


function my_update($data){

  $conn = get_dbconnection();
  $sql = 'update procedure';
  $sql .= ' set name_fr = \''.pg_escape_string ($conn,$data->get_value('name_fr')).'\'';
  $sql .= ' ,name_en = \''.pg_escape_string ($conn,$data->get_value('name_en')).'\'';
  $sql .= ' ,name_nl = \''.pg_escape_string ($conn,$data->get_value('name_nl')).'\'';
  $sql .= ' ,comment = \''.pg_escape_string ($conn,$data->get_value('comment')).'\'';
  $sql .= ' where id =  '.$data->get_id().';commit;';

  if (!pg_query($conn,$sql)){
     $data->invalid();
  }else
    $data->success(); // marks an operation as finished
}

function my_delete($data){

  $sql = 'update procedure set removed = true where id = '.$data->get_id().';commit;';

  $conn = get_dbconnection();
  if (!pg_query($conn,$sql)){
     $data->invalid();
  }else
  {
    $data->success(); // marks an operation as finished
  }
}

$conn = get_dbconnection();

if($conn)
{

	$config = new GridConfiguration();
	$config->setHeader(array("Name","name_en","name_fr","name_nl","Comment","doc_id"));
	$config->setColIds(array("name","name_en","name_fr","name_nl","comment","doc_id"));
	$config->setColTypes(array("ro","ro","ro","ro","ro","ro"));
	$config->attachHeader(array("#text_filter","#rspan","#rspan","#rspan","#rspan","#rspan"));
	$config->setColSorting(array("str","str","str","str","str","in"));
	$config->setInitWidths(array("*","0","0","0","*","0"));
	$config->setColHidden(array("0","1","1","1","0","1"));
	$data = new GridConnector($conn,"Postgre");
	$data->set_config($config);


  if($GLOBALS["active_debug"] === true){
		$data->enable_log($GLOBALS["debug_dir"].basename(__FILE__).".log",true);
	}


	$data->render_complex_sql("select procedure.id as id,name_en as name,name_en, name_fr, name_nl,comment,proc_active_document.doc_id as doc_id from procedure left join (select document_link.doc_id, document_link.ext_id from v_last_documentstatus, document_link where
v_last_documentstatus.status_id = 1 and v_last_documentstatus.doc_id = document_link.doc_id and document_link.type = 'procedure') as proc_active_document
on proc_active_document.ext_id = procedure.id and procedure.removed = false order by name_en","id","name,name_en,name_fr,name_nl,comment,doc_id");
}
