<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload.php';

function my_insert($data)
{

  $conn = get_dbconnection();
  $sql = 'insert into staff_member(lastname,login,password,login_role_id) values ('.pg_escape_literal($conn,$data->get_value('lastname')).',to_char(now(),\'YYYYMMDDHH24MISS\'),\'\',1) returning id;';

  if ($query = pg_query($conn,$sql)){
     if(!($row = pg_fetch_row($query)))
     {
     	$data->invalid();
      return;
     }
     $data->set_new_id($row[0]);
     $data->success(); // marks an operation as finished

  }else
  {
    $data->invalid();
  }

}


function my_update($data)
{

  $conn = get_dbconnection();
  $sql = 'update staff_member set active = \''.$data->get_value('active').'\'';
  $sql .= ', lastname = '.pg_escape_literal($conn,$data->get_value('lastname'));
  $sql .= ', firstname = '.pg_escape_literal($conn,$data->get_value('firstname'));
  $sql .= ', login = '.pg_escape_literal($conn,$data->get_value('login'));
  $sql .= ', password = encode(\''.$data->get_value('password').'\',\'base64\')';
  $sql .= ', login_role_id = '.$data->get_value('login_role_id');
  $sql .= ', ris_name = '.pg_escape_literal($conn,$data->get_value('ris_name'));
  $sql .= ', pacs_name = '.pg_escape_literal($conn,$data->get_value('pacs_name'));
  $sql .= ', dacs_name = '.pg_escape_literal($conn,$data->get_value('dacs_name'));
  $sql .=' where id = '.$data->get_id().';';

  if (!pg_query($conn,$sql)){
     $data->invalid();
  }else
  {
    $data->success(); // marks an operation as finished
  }
}

function formatting($data)
{
  $b64 = $data->get_value("password");
  $data->set_value("password",base64_decode($b64));
}
function my_delete($data){

  $sql = 'update staff_member set active = false, removed = true where id = '.$data->get_id().';commit;';
  $conn = get_dbconnection();
  if (!pg_query($conn,$sql)){
     $data->invalid();
  }else
  {
    $data->success(); // marks an operation as finished
  }
}

$conn = get_dbconnection();

if($conn)
{

	$config = new GridConfiguration();
	$config->setHeader		( array ( "Lastname",	"Firstname",	"login",	"password",		"active",	"login_role_id",	"ris_name",		"pacs_name",	"dacs_name" ));
	$config->setColIds		( array ( "lastname",	"firstname",	"login",	"password",		"active",	"login_role_id",	"ris_name",		"pacs_name",	"dacs_name" ));
	$config->setColTypes	( array ( "ro",			"ro",			"ro",		"ro",			"ch",		"ro",				"ro",			"ro",			"ro"		));
	$config->attachHeader	( array ( "#rspan",		"#rspan",		"#rspan",	"#rspan",		"#rspan",	"#rspan",			"#rspan",		"#rspan",		"#rspan"	));
	$config->setColSorting	( array ( "str",		"str",			"str",		"str",			"int",		"int",				"str",			"str",			"str"		));
	$config->setInitWidths	( array ( "100",		"100",			"10",		"10",			"10",		"10",				"10",			"10",			"10"		));
	$config->setColHidden	( array ( "0",			"0",			"1",		"1",			"1",		"1",				"1",			"1",			"1"			));
	
	$data = new GridConnector($conn,"Postgre");
	$data->set_config($config);


	if($GLOBALS["active_debug"] === true)
	{
		$data->enable_log($GLOBALS["debug_dir"].basename(__FILE__).".log",true);
	}
  
	$data->event->attach('beforeInsert','my_insert');
	$data->event->attach('beforeUpdate','my_update');
	$data->event->attach('beforeDelete','my_delete');
	$data->event->attach("beforeRender","formatting");
	// $data->render_sql("select id,lastname,firstname,login,password,active::integer,login_role_id from staff_member where removed = false","id","lastname,firstname,login,password,active,login_role_id");
	$data->render_sql 
	(
		"select id,lastname,firstname,login,password,active::integer,login_role_id, ris_name, pacs_name, dacs_name from staff_member where removed = false",
		"id",
		"lastname,firstname,login,password,active,login_role_id,ris_name, pacs_name, dacs_name"
	);
}
