<?php
require_once('../../../../dhtmlx/phpconnector/grid_connector.php');
require_once('../../../../dhtmlx/phpconnector/grid_config.php');
require_once('../../../../dhtmlx/phpconnector/db_postgre.php');

require_once '../../autoload.php';

function my_insert($data){
  $conn = get_dbconnection();

  $sql = 'insert into staff_formation(staff_id,status_id,title) values ('.$data->get_value('staff_id').','.STATUS_PLANNED_ID.',\'New formation\') returning id;';
  if ($query = pg_query($conn,$sql)){
     if(!($row = pg_fetch_row($query)))
     {
      $data->invalid();
      return;
     }
     $data->set_new_id($row[0]);
     $data->success(); // marks an operation as finished

  }else
  {
    $data->invalid();
  }
}


function my_update($data){

  $conn = get_dbconnection();
  $sql = 'update staff_formation';
  $sql .= ' set status_id = '.$data->get_value('status_id');
  $sql .= '  ,title = \''.pg_escape_string ($conn,$data->get_value('title')).'\'';
  if($data->get_value('formation_date') != '')
    $sql .= ' ,formation_date = to_timestamp(\''.pg_escape_string ($conn,$data->get_value('formation_date')).'\',\'DD/MM/YYYY\')';
  else
    $sql .= ' ,formation_date = null';

  if($data->get_value('planned_date') != '')
    $sql .= ' ,planned_date = to_timestamp(\''.pg_escape_string ($conn,$data->get_value('planned_date')).'\',\'DD/MM/YYYY\')';
  else
    $sql .= ' ,planned_date = null';

  $sql .= ' ,type = \''.pg_escape_string ($conn,$data->get_value('type')).'\'';
  $sql .= ' ,comment = \''.pg_escape_string ($conn,$data->get_value('comment')).'\'';
  $sql .= ' where id =  '.$data->get_id().';commit;';

  if (!pg_query($conn,$sql)){
     $data->invalid();
  }else{
    $data->success(); // marks an operation as finished
  }
}

function my_delete($data){

  $sql = 'update staff_formation set removed = true where id = '.$data->get_id().';commit;';

  $conn = get_dbconnection();
  if (!pg_query($conn,$sql)){
     $data->invalid();
  }else
  {
    $data->success(); // marks an operation as finished
  }
}

$conn = get_dbconnection();

if($conn)
{
	$config = new GridConfiguration();
	$config->setHeader(array("staff_id","status_id","Status","Planned","Performed","Title","Type","Comment"));
	$config->setColIds(array("staff_id","status_id","status_name","planned_date","formation_date","title","type","comment"));
	$config->setColTypes(array("ro","ro","ro","dhxCalendar","dhxCalendar","ro","ro","ro"));
	$config->attachHeader(array("#rspan","#rspan","#rspan","#rspan","#rspan","#rspan","#rspan","#rspan"));
	$config->setColSorting(array("int","int","str","str","str","str","str","str"));
	$config->setInitWidths(array("0","0","100","100","100","100","100","*"));
	$config->setColHidden(array("1","1","0","0","0","0","0"));
	$data = new GridConnector($conn,"Postgre");
	$data->set_config($config);

  if($GLOBALS["active_debug"] === true){
		$data->enable_log($GLOBALS["debug_dir"].basename(__FILE__).".log",true);
	}

  $data->event->attach('beforeInsert','my_insert');
  //
  $data->event->attach('beforeUpdate','my_update');
  //
  $data->event->attach('beforeDelete','my_delete');

  if(isset($_GET['staffformationid']))
  {
     $whereclause = " and staff_formation.id = {$_GET['staffformationid']}";
  }
  else{
    if(isset($_GET['staffid']))
    {
       $whereclause = " and staff_formation.staff_id = {$_GET['staffid']}";
    }else {
      $whereclause = " and staff_formation.staff_id = -1";
    }
  }


	$data->render_complex_sql("select staff_formation.id as id,staff_formation.status_id as status_id,statuslist.status_name as status_name,staff_id,to_char(formation_date,'DD/MM/YYYY') as formation_date,to_char(planned_date,'DD/MM/YYYY') as planned_date,staff_formation.title as title,staff_formation.type as type, comment
from staff_formation,statuslist where staff_formation.status_id = statuslist.id and staff_formation.removed = false {$whereclause}"
  ,"id"
  ,"staff_id,status_id,status_name,planned_date,formation_date,title,type,comment");
}
