<?php
  include 'autoload.php';
 ?>
<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <title>eoDACS - Statistics</title>
  <style type="text/css">
    canvas {
      -moz-user-select: none;
      -webkit-user-select: none;
      -ms-user-select: none;
    }
  </style>
  <link rel="stylesheet" type="text/css" href="<?php echo $DHTMLX_URL;?>/codebase/fonts/font_roboto/roboto.css" />
  <link rel="stylesheet" type="text/css" href="<?php echo $DHTMLX_URL;?>/codebase/dhtmlx.css" />
  <link rel="stylesheet" type="text/css" href="<?php echo $DHTMLX_URL;?>/skins/web/dhtmlx.css" />
  <link rel="stylesheet" type="text/css" href="<?php echo $EXTERN_CSS;?>/bootstrap/css/bootstrap.min.css" />

  <link rel="shortcut icon" type="image/x-icon" href="<?php echo $EODACS_ROOT;?>/../eoDACSCommon/pics/eodacs.png" />
  <script type='text/javascript' src="<?php echo $DHTMLX_URL;?>/codebase/dhtmlx.js"></script>
  <link href="<?php echo $EXTERN_CSS;?>/font-awesome-current/css/all.min.css" rel="stylesheet" type="text/css">
  <link rel="stylesheet" href="<?php echo $EXTERN_CSS;?>/checkbox/searchableOptionList.css">
  <script type="text/javascript" src="js/jquery/jquery.js"></script>
  <script type="text/javascript" src="<?php echo $EXTERN_CSS;?>/checkbox/sol.js"></script>
  <script type="text/javascript" src="js/eodacs_utils.js?v=<?php echo $js_version;?>"></script>
  <!-- Core plugin JavaScript-->
  <script src="<?php echo $EODACS_ROOT;?>/js/jquery-easing/jquery.easing.min.js"></script>
  <script src="<?php echo $EXTERN_CSS;?>/bootstrap/js/bootstrap.bundle.min.js"></script>
  <script src="chart/Chart.bundle.min.js" type="text/javascript"></script>
  <script src="chart/utils.js"></script>
  <script src="chart/errorbar.js"></script>
  <script src="chart/chartjs-plugin-annotation.min.js"> </script>

  <script>
    function init_layout() {
      var myCalendar = new dhtmlXCalendarObject('inputFrom')
      myCalendar.setDateFormat("%d/%m/%Y");
      myCalendar.hideTime();
      myCalendar.showToday();

      var myCalendar2 = new dhtmlXCalendarObject('inputTo')
      myCalendar2.setDateFormat("%d/%m/%Y");
      myCalendar2.hideTime();
      myCalendar2.showToday();

      myCalendar.attachEvent("onShow", function() {
        // your code here
        myCalendar2.hide();
      });

      myCalendar.attachEvent("onClick", function(date) {
        if (document.getElementById('inputTo').value == '')
          myCalendar2.setDate(myCalendar.getDate());
        myCalendar2.show();
      });


      $(function() {
        __solmodality = $('#modality').searchableOptionList({
          texts: {
            selectNone: 'Select all'
          },
          events: {

          },
          maxHeight: '200px',
          showSelectNoneOnly: true,

          data: '<?php echo $EODACS_ROOT;?>/dbconnector/common/get_modality.php?modality=*'
        });
      });



      //prevent submit with enter
      document.getElementById("formstat").onkeypress = function(e) {
        var key = e.charCode || e.keyCode || 0;
        if (key == 13) {
          return false;
        }
      };

      Init();
    }


    var captionAlertByModality="Nombre d'alertes par modalité";
    var captionNumberOfStudyByModality="Nombre d'études par modalité";
    var caption3="Autre ...";

    var Area = new Array();

    var area1 = {
      Chart: null,
      GraphName:captionAlertByModality,
      GraphStyle: "bar"
    };
    var area2 = {
      Chart: null,
      GraphName: captionNumberOfStudyByModality,
      GraphStyle: "bar"
    };
    // var area3 = {
    //   Chart: null,
    //   GraphName: "CT DLP p75",
    //   GraphStyle: "bar"
    // };
    // var area4 = {
    //   Chart: null,
    //   GraphName: "Nombre d'examens par radiologue",
    //   GraphStyle: "bar"
    // };

    Area.push(area1);
    Area.push(area2);
    //Area.push(area3);
    // Area.push(area4);

    var GraphStyleList = new Array();

    var styleGraph1 = {
      Name: "bar",
      Caption: "Bar",
      Class: "fas fa-chart-bar"
    };

    var styleGraph2 = {
      Name: "pie",
      Caption: "Pie",
      Class: "fas fa-chart-pie"
    };

    GraphStyleList.push(styleGraph1);
    GraphStyleList.push(styleGraph2);



    var GraphList = new Array();

    var graph1 = {
      Caption: captionAlertByModality,
      PHPFile: "",
      Type: "nalertbymodality",
      Data: {
        labels: "",
        // labels: interLabel,
        datasets: [{
          label: "Number",
          backgroundColor: "rgba(2,117,216,1)",
          borderColor: "rgba(2,117,216,1)",
          // data: interData,
          data: "",
          // backgroundColor: interColor
          backgroundColor: ""
        }]
      },

      PieOptions: {
        maintainAspectRatio: true
      },

      BarOptions: {
        legend: {
          display: false
        },
        maintainAspectRatio: true,
        scales: {
          xAxes: [{
            time: {
              unit: 'Department'
            },
            gridLines: {
              display: false
            },
            ticks: {
              maxTicksLimit: 12
            }
          }],
          yAxes: [{
            ticks: {
              suggestedMin: 10,
              suggestedMax: 50
            },
            gridLines: {
              display: true
            }
          }],
        }
      }
    };

    var graph2  = {
      Caption: captionNumberOfStudyByModality,
      PHPFile: "",
      Type: "nstudybymodality",
      Data: {
        labels: "",
        // labels: interLabel,
        datasets: [{
          label: "Number",
          backgroundColor: "rgba(2,117,216,1)",
          borderColor: "rgba(2,117,216,1)",
          // data: interData,
          data: "",
          // backgroundColor: interColor
          backgroundColor: ""
        }]
      },

      PieOptions: {
        maintainAspectRatio: true
      },

      BarOptions: {
        legend: {
          display: false
        },
        maintainAspectRatio: true,
        scales: {
          xAxes: [{
            time: {
              unit: 'Department'
            },
            gridLines: {
              display: false
            },
            ticks: {
              maxTicksLimit: 12
            }
          }],
          yAxes: [{
            ticks: {
              suggestedMin: 10,
              suggestedMax: 50
            },
            gridLines: {
              display: true
            }
          }],
        }
      }
    };

    var graph3 = {
      Caption: caption3,
      PHPFile: "",
      Type: "ctpercentile50",
      Data: {
        labels: "",
        datasets: [{
          label: "Number",
          backgroundColor: "rgba(2,117,216,1)",
          borderColor: "rgba(2,117,216,1)",
          data: "",
          backgroundColor: ""
        }]
      },

      PieOptions: {
        maintainAspectRatio: true
      },

      BarOptions: {
        legend: {
          display: false
        },
        maintainAspectRatio: true,
        scales: {
          xAxes: [{
            time: {
              unit: 'Department'
            },
            gridLines: {
              display: false
            },
            ticks: {
              maxTicksLimit: 12
            }
          }],
          yAxes: [{
            ticks: {
              suggestedMin: 10,
              suggestedMax: 50
            },
            gridLines: {
              display: true
            }
          }],
        }
      }
    };

    var graph4 = {
      Caption: "Nombre d'examens par radiologue",
      PHPFile: "StatRadiologist.php",
      Type: "Radiologist",
      Data: {
        labels: "",
        datasets: [{
          label: "Number",
          backgroundColor: "rgba(2,117,216,1)",
          borderColor: "rgba(2,117,216,1)",
          data: "",
          backgroundColor: ""
        }]
      },

      PieOptions: {
        maintainAspectRatio: true
      },

      BarOptions: {
        legend: {
          display: false
        },
        maintainAspectRatio: true,
        scales: {
          xAxes: [{
            time: {
              unit: 'Department'
            },
            gridLines: {
              display: false
            },
            ticks: {
              maxTicksLimit: 12
            }
          }],
          yAxes: [{
            ticks: {
              suggestedMin: 10,
              suggestedMax: 50
            },
            gridLines: {
              display: true
            }
          }],
        }
      }
    };

    GraphList.push(graph1);
    GraphList.push(graph2);
    GraphList.push(graph3);
  //  GraphList.push(graph4);




    var modalityChart = null;
    var radiologistChart = null;
    var examDayChart = null;
    var reportDelayChart = null;

    var Modalities = new Array();
    var Radiologist = new Array();

    var Colors = new Array("#002211", "#000099", "#009900", "#009999", "#990000", "#990099", "#999900", "#999999", "#0000FF", "#00FF00", "#00FFFF", "#FF0000", "#FF00FF", "#FFFF00");

    Chart.defaults.global.defaultFontFamily = '-apple-system,system-ui,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif';
    Chart.defaults.global.defaultFontColor = '#292b2c';



    function Init() {
      for (var i = 0; i < Area.length; i++) {
        document.getElementById("IdcMenuButton" + i).textContent = Area[i].GraphName;
      }
    }

    function GetCurrentDate() {
      dte = new Date();

      currentDate = dte.getFullYear() + "-" + (dte.getMonth() + 1) + "-" + dte.getDate();

      return currentDate;
    }

    function GetCurrentTime() {
      dte = new Date();

      currentTime = dte.getHours() + ":" + dte.getMinutes() + ":" + dte.getSeconds();

      return currentTime;
    }


    Number.prototype.pad = function(size) {
      var s = String(this);
      while (s.length < (size || 2)) {
        s = "0" + s;
      }
      return s;
    }

    function GetRadiologistColor(radiologist) {
      color = "#000000";

      for (var i = 0; i < Radiologist.length; i++) {
        if (Radiologist[i] == radiologist && i < Colors.length)
          color = Colors[i];
      }

      return color;
    }

    function GetModalityColor(modality) {
      color = "#000000";

      for (var i = 0; i < Modalities.length; i++) {
        if (Modalities[i] == modality && i < Colors.length)
          color = Colors[i];
      }

      return color;
    }

    function toHexColor(r, g, b) {
      red = r.toString(16);
      green = g.toString(16);
      blue = b.toString(16);

      return "#" + red + green + blue;
    }


    // ################################################################################################################
    // Init

    function Refresh() {
      for (var i = 0; i < Area.length; i++) {
        DrawArea(i);
      }
    }


    // var el = document.getElementById("RefreshButton");
    // el.addEventListener("click", Refresh, false);


    DrawArea = function(areaIndex, graphSelected) {
      var graphSelected = Area[areaIndex].GraphName;
      var graphStyle = Area[areaIndex].GraphStyle;

      var phpFile = "";
      var options = "";
      var graphType = "";

      for (var i = 0; i < GraphList.length; i++) {
        if (graphSelected == GraphList[i].Caption) {
          phpFile = GraphList[i].PHPFile;
          graphType = GraphList[i].Type;

          if (graphStyle == "bar")
            options = GraphList[i].BarOptions;

          if (graphStyle == "pie")
            options = GraphList[i].PieOptions;
        }
      }
      // var radiologist = "";
      //
      // var radiologistList = document.getElementById("RadiologistList");
      // if (radiologistList.hasChildNodes()) {
      //   var children = radiologistList.childNodes;
      //   for (var i = 0; i < children.length; i++) {
      //     var type = children[i].type;
      //     if (type == "checkbox") {
      //       var name = children[i].name;
      //
      //       if (children[i].checked) {
      //         radiologist += "'" + name + "'";
      //         radiologist += ",";
      //       }
      //     }
      //   }
      // }
      //
      // radiologist = radiologist.substring(0, radiologist.length - 1);
      //
      //
      // var modality = "";
      //
      // var modalityList = document.getElementById("ModalityList");
      // if (modalityList.hasChildNodes()) {
      //   var children = modalityList.childNodes;
      //   for (var i = 0; i < children.length; i++) {
      //     var type = children[i].type;
      //     if (type == "checkbox") {
      //       var name = children[i].name;
      //
      //       if (children[i].checked) {
      //         modality += "'" + name + "'";
      //         modality += ",";
      //       }
      //     }
      //   }
      // }
      //
      // modality = modality.substring(0, modality.length - 1);
      //
      // var fromDate = document.getElementById("FromDate").value;
      // var toDate = document.getElementById("ToDate").value;

      var ctx = document.getElementById("IdcChartArea" + areaIndex);

      // if (fromDate != null)
      //   fromDate = fromDate.replace(/-/g, "");
      // if (toDate != null)
      //   toDate = toDate.replace(/-/g, "");
      var fromdate = document.getElementById('inputFrom');
      var todate = document.getElementById('inputTo');

      var params = {
        type: graphType,
        modid: __solmodality.getSelectionID(),
        from: fromdate.value,
        to: todate.value
      }

      var endpoint = '<?php echo $EODACS_ROOT;?>/dbconnector/stats/get_graphdata.php';
      if(phpFile != '')
      {
        endpoint = phpFile;
      }

      var url = endpoint + formatParams(params);

      console.log(url);

      $.ajax({
        type: 'GET',
        url: url,
        dataType: 'json',
        success: function(results) {
          document.getElementById("IdcChartComment" + areaIndex).innerHTML = "Updated on " + GetCurrentDate() + " at " + GetCurrentTime();


          var newData = {
            labels: "",
            datasets: [{
              backgroundColor: "rgba(2,117,216,1)",
              borderColor: "rgba(2,117,216,1)",
              data: ""
            }]
          };

          if (results != null) {
            var interLabel = new Array(results.length);
            var interData = new Array(results.length);

            for (var i = 0; i < results.length; i++) {
              interLabel[i] = results[i][0];
              interData[i] = results[i][1];
            }

            newData.labels = interLabel;
            newData.datasets[0].data = interData;

            newData.datasets[0].backgroundColor = Colors;
            // var interColor = new Array(results.length);
            // var funct = GetRadiologistColor;
            //
            // if (graphType == "Radiologist" || graphType == "Modality") {
            //   for (var i = 0; i < interLabel.length; i++) {
            //     if (graphType == "Radiologist")
            //       interColor[i] = GetRadiologistColor(interLabel[i]);
            //     else {
            //       if (graphType == "Modality")
            //         interColor[i] = GetModalityColor(interLabel[i]);
            //     }
            //   }
            //
            //   newData.datasets[0].backgroundColor = interColor;
            // }

          }

          if (Area[areaIndex] != null) {
            if (Area[areaIndex].Chart != null)
              Area[areaIndex].Chart.destroy();
          }
          Area[areaIndex].Chart = new Chart(ctx, {
            type: graphStyle,
            data: newData,
            options: options
          });
        },

        error: function(results, statut, erreur) {
          alert('Error!!!');
          alert(erreur);
        }
      });
    }


    MenuGraphClicked = function(areaIndex, graphSelected, idcMenuButton) {
      return function(e) {
        idcMenuButton.textContent = graphSelected;

        Area[areaIndex].GraphName = graphSelected;

        DrawArea(areaIndex);
      }
    }

    FillGraphMenu = function(areaIndex, menuButton, divMenuID) {
      var idcMenuButton = document.getElementById(menuButton);
      var divMenu = document.getElementById(divMenuID);

      for (var i = 0; i < GraphList.length; i++) {
        var caption = GraphList[i].Caption;

        var ident = 'Graph4_txt_' + i;

        var menuItem = document.createElement('a');
        menuItem.setAttribute('class', 'dropdown-item');
        menuItem.setAttribute('id', ident);

        var txtNode = document.createTextNode(GraphList[i].Caption);

        menuItem.appendChild(txtNode);

        divMenu.appendChild(menuItem);

        menuItem.addEventListener('click', MenuGraphClicked(areaIndex, caption, idcMenuButton), false);
      }
    }



    MenuStyleGraphClicked = function(areaIndex, graphStyleSelected, idcMenuButton) {
      return function(e) {
        for (var i = 0; i < GraphStyleList.length; i++) {
          if (GraphStyleList[i].Caption == graphStyleSelected) {
            if (idcMenuButton.hasChildNodes()) {
              var children = idcMenuButton.childNodes;
              for (var j = 0; j < children.length; j++)
                children[j].className = GraphStyleList[i].Class;

              Area[areaIndex].GraphStyle = GraphStyleList[i].Name;
            }
          }
        }

        DrawArea(areaIndex);
      }
    }

    FillStyleGraphMenu = function(areaIndex, menuButton, divMenuID) {

      var idcMenuButton = document.getElementById(menuButton);
      var divMenu = document.getElementById(divMenuID);

      for (var i = 0; i < GraphStyleList.length; i++) {
        var caption = GraphStyleList[i].Caption;

        var ident = 'Graph' + areaIndex + '_ico_' + i;

        var menuItem = document.createElement('a');
        menuItem.setAttribute('class', 'dropdown-item');
        menuItem.setAttribute('id', ident);

        var txtNode = document.createTextNode(caption);

        menuItem.appendChild(txtNode);

        divMenu.appendChild(menuItem);

        menuItem.addEventListener('click', MenuStyleGraphClicked(areaIndex, caption, idcMenuButton), false);
      }
    }
  </script>


</head>

<body>

  <form id="formstat" class="needs-validation eoinput-form" novalidate="" style="width:95%;">

    <div class="form-row">
      <div class="form-group col-md-6">
        <label for="inputFrom">
          <?php echo $_From;?></label>
        <input type="text" class="form-control input-sm" id="inputFrom" placeholder="<?php echo $_From;?>" autocomplete="off">
        <div class="invalid-feedback">
          Start date can not be empty
        </div>
      </div>
      <div class="form-group col-md-6">
        <label for="inputTo">
          <?php echo $_To;?></label>
        <input type="text" class="form-control input-sm" id="inputTo" placeholder="<?php echo $_To;?>" autocomplete="off">
        <div class="invalid-feedback">
          End date can not be empty
        </div>
      </div>
    </div>
    <div class="form-group">
      <label for="inputModality">
        <?php echo $_Modality;?>
      </label>
      <div id='modality' data-sol-name='character' multiple='multiple'></div>
    </div>
    <div class="form-group">
      <button id="submitbtn" class="submit"><i class="fa fa-check"></i>
        <?php echo $_Apply;?></button>
    </div>

  </form>

  <div>
    <div class="container-fluid" style="background-color: #FFFFFF;">
      <div class="col-lg" style="background-color: #FFFFFF; padding: 2px;">
        <div style="background-color: #FFFFFF;">
          <div class="row flex-fill" style="background-color: #FFFFFF;">
            <div class="col col-lg-6">
              <div style="width: 100%; padding: 0px;">
                <div class="card mb-3">

                  <div class="card-header">

                    <div class="row">
                      <div class="dropdown">
                        <button class="btn btn-secondary btn-sm dropdown-toggle" type="button" id="IdcStyleMenuButton0" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: #000000; background-color: #f7f7f7; border-color: #f7f7f7;">
                          <i class="fas fa-chart-bar"></i>
                        </button>
                        <div class="dropdown-menu" aria-labelledby="IdcStyleMenuButton0" id="IdcDivStyleMenuArea0">
                          <script>FillStyleGraphMenu ( 0, "IdcStyleMenuButton0", "IdcDivStyleMenuArea0" );</script>
                        </div>
                      </div>

                      <div class="dropdown">
                        <button class="btn btn-secondary btn-sm dropdown-toggle" type="button" id="IdcMenuButton0" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: #000000; background-color: #f7f7f7; border-color: #f7f7f7;">
                          Délai d'interprétation
                        </button>
                        <div class="dropdown-menu" aria-labelledby="IdcMenuButton0" id="IdcDivMenuArea0">
                          <script>FillGraphMenu ( 0, "IdcMenuButton0", "IdcDivMenuArea0" );</script>
                        </div>
                      </div>

                    </div>
                  </div>

                  <div class="chart-container" style="height: 100%;">
                    <canvas id="IdcChartArea0" style="padding-top: 10px;"></canvas>
                  </div>

                  <div class="card-footer small text-muted">
                    <label id="IdcChartComment0"></label>
                  </div>
                </div>
              </div>
            </div>


            <div class="col col-lg-6">
              <div style="width: 100%; padding: 0px;">
                <div class="card mb-3">

                  <div class="card-header">

                    <div class="row">
                      <div class="dropdown">
                        <button class="btn btn-secondary btn-sm dropdown-toggle" type="button" id="IdcStyleMenuButton1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: #000000; background-color: #f7f7f7; border-color: #f7f7f7;">
                          <i class="fas fa-chart-bar"></i>
                        </button>
                        <div class="dropdown-menu" aria-labelledby="IdcStyleMenuButton1" id="IdcDivStyleMenuArea1">
                          <script>FillStyleGraphMenu ( 1, "IdcStyleMenuButton1", "IdcDivStyleMenuArea1" );</script>
                        </div>
                      </div>

                      <div class="dropdown">
                        <button class="btn btn-secondary btn-sm dropdown-toggle" type="button" id="IdcMenuButton1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" style="color: #000000; background-color: #f7f7f7; border-color: #f7f7f7;">
                          Délai d'interprétation
                        </button>
                        <div class="dropdown-menu" aria-labelledby="IdcMenuButton1" id="IdcDivMenuArea1">
                          <script>
                            FillGraphMenu(1, "IdcMenuButton1", "IdcDivMenuArea1");
                          </script>
                        </div>
                      </div>

                    </div>
                  </div>

                  <div class="chart-container" style="height: 100%;">
                    <canvas id="IdcChartArea1" style="padding-top: 10px;"></canvas>
                  </div>

                  <div class="card-footer small text-muted">
                    <label id="IdcChartComment1"></label>
                  </div>
                </div>
              </div>
            </div>

          </div>


        </div>
      </div>
    </div>
  </div>
  </div>
  </div>

</body>

<script type="text/javascript">
  init_layout();


  document.getElementById("submitbtn").addEventListener("click", function(event) {
    event.preventDefault();


    var fromdate = document.getElementById('inputFrom');
    fromdate.classList.remove('is-invalid');
    fromdate.classList.remove('is-valid');

    var formValidate = true;
    if (!isValidDate(fromdate.value)) {
      fromdate.classList.add('is-invalid');
      fromdate.classList.add('was-validated');
      formValidate = false;
    }
    var todate = document.getElementById('inputTo');
    todate.classList.remove('is-invalid');
    todate.classList.remove('is-valid');
    if (!isValidDate(todate.value)) {
      todate.classList.add('is-invalid');
      todate.classList.add('was-validated');
      formValidate = false;
    }

    if (formValidate == false) {
      return false;
    }


    Refresh();
    //
    // var params = {
    //   type: "dostatY",
    //   modid: __solmodality.getSelectionID(),
    //   from: fromdate.value,
    //   to: todate.value
    // }
    //
    // var url = endpoint + formatParams(params);
    // console.log(url);
    //
    // var xmlhttp = new XMLHttpRequest();
    // xmlhttp.open("GET", url, true);
    // xmlhttp.onreadystatechange = function() {
    //   if (xmlhttp.readyState == 4 && xmlhttp.status == 200) {
    //     barChartData = xmlhttp.responseText;
    //     initgraph(barChartData);
    //   }
    // };
    // xmlhttp.send(null);



    return true;
  });
</script>

</html>
